%{?nodejs_find_provides_and_requires}

Name:           nodejs-read-package-json
Version:        2.0.3
Release:        %mkrel 2
Summary:        npm's package.json parser

Group:          Development/Java
License:        ISC
URL:            https://github.com/isaacs/read-package-json
Source0:        http://registry.npmjs.org/read-package-json/-/read-package-json-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%description
The thing npm uses to read package.json files, with semantics, defaults and
validation.

%prep
%setup -q -n package
%nodejs_fixdep glob "^6.0.3"

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/read-package-json
cp -pr package.json read-json.js %{buildroot}%{nodejs_sitelib}/read-package-json

%nodejs_symlink_deps

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/read-package-json
%doc LICENSE README.md



%changelog
* Wed Sep 28 2016 neoclust <neoclust> 2.0.3-2.mga6
+ Revision: 1057333
- imported package nodejs-read-package-json

